'Compileroption "-s console"
#include "sGUI\sGUI.bas"
#include once "sGUI\CheckMarkGadget.bas"

screen 15,32

InitGFX

dim as EventHandle ptr event
event=CreateEventHandle

dim as Gadget ptr Check
Check= AddCheckMarkGadget(event,30,30,0,"Option")
GadgetOn(Check)

'Console öffnen für output
dim as integer ff=freefile
open cons for output as ff
print #ff,"<1> Check auf nicht selekiert setzen"
print #ff,"<2> Check auf selekiert setzen"
do
  event->xSleep(1)
  if event->GADGETMESSAGE then
    select case event->GADGETMESSAGE
      case Check
        'Aktionen die ausgeführt werden wenn Check angeklickt wird
        if GetSelect(Check) then          '1
          print #ff,"Check ist selektiert"
        else                               '0
          print #ff,"Check ist nicht selektiert"
        end if
    end select
  end if
  
  if event->KEY<>"" then
    select case event->KEY
      case "1"
        SetSelect(Check,0)
        print #ff,"Check ist nicht selektiert"
      case "2"
        SetSelect(Check,1)
        print #ff,"Check ist selektiert"
    end select
  end if
loop until event->EXITEVENT

close ff

DestroyEventHandle (event)
end
/'
function AddCheckMarkGadget (event as EventHandle ptr,x as integer,y as integer,s as integer,txt as string="") as Gadget ptr
event   ein Zeiger zu einem EventHandle
x       Position in px
y       Position in px
s       voreingestellte Selektion 0/1
txt     optional, Bezeichnung des Checkmarks rechts vom Control



sub SetSelect (gad as Gadget ptr,selection as integer)
gad         Zeiger auf ein Control
selektion   Selektion (0/1) auf die eingestellt werde soll




function GetSelect (gad as Gadget ptr) as integer
liefert Selektion des Controls (0/1)
gad         Zeiger auf ein Control



sub SetCaption(gad as _Gadget ptr,txt as string)
setzt neuen Text
gad         Zeiger auf ein Control
txt         neuer Text



weitere Manipulationen mit GadgetOn,GadgetOff,GadgetSleep
'/

